Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.perforce
Class P4Edit

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.optional.perforce.P4Base
                  |
                  +--org.apache.tools.ant.taskdefs.optional.perforce.P4Edit

public class P4Edit
extends P4Base

P4Edit - checkout file(s) for edit. Example Usage:
<p4edit change="${p4.change}" view="//depot/project/foo.txt" />

Author:
  Les Hughes ToDo: Should call reopen if file is already open in one of our changelists perhaps?

Field Summary
`java.lang.String` | `change`

Fields inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base
`P4Client, P4CmdOpts, P4Opts, P4Port, P4User, P4View, shell, util`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`P4Edit()`

Method Summary
`void` | `execute()` Called by the project to let the task do it's work.
`void` | `setChange(java.lang.String change)`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4Base
`execP4Command, execP4Command, init, setClient, setCmdopts, setPort, setUser, setView`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### change

    public java.lang.String change

Constructor Detail

### P4Edit

    public P4Edit()

Method Detail

### setChange

    public void setChange(java.lang.String change)

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.